cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/organization \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"label": "<string>",
"name": "<string>",
"cockroach_cloud_service_principals": {
"aws": {
"user_arn": "<string>"
},
"azure": {
"app_registration_client_id": "<string>",
"app_registration_name": "<string>"
},
"gcp": {
"service_account_email": "<string>"
}
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Get information about the caller's organization
Can be used by the following roles assigned at the organization scope:
- ORG_ADMIN
- ORG_MEMBER
- AUDITOR
GET
/
api
/
v1
/
organization
cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/organization \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"label": "<string>",
"name": "<string>",
"cockroach_cloud_service_principals": {
"aws": {
"user_arn": "<string>"
},
"azure": {
"app_registration_client_id": "<string>",
"app_registration_name": "<string>"
},
"gcp": {
"service_account_email": "<string>"
}
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

